Skip to main content

Create Subscription

Create Webhook Subscription
POST

Create a new webhook subscription.

List of available events

Event NameEventResource
Candidate Addedcandidate.addedCandidate
Candidate Updatedcandidate.updatedCandidate
Candidate Deletedcandidate.deletedCandidate
Candidate Assigned to Jobcandidate.assigned_to_jobTalent Funnel Assigned Candidate
Candidate Removed from Jobcandidate.removed_from_jobCandidate
Candidate Talent Stage Updatedcandidate.talent_stage.updatedTalent Funnel Assigned Candidate
Job Application From External Sourcejob.application.from_external_sourceTalent Funnel Assigned Candidate
Contact Addedcontact.addedContact
Contact Updatedcontact.updatedContact
Contact Deletedcontact.deletedContact
Organization Addedorganization.addedOrganization
Organization Updatedorganization.updatedOrganization
Organization Deletedorganization.deletedOrganization
Deal Addeddeal.addedDeal
Deal Updateddeal.updatedDeal
Deal Deleteddeal.deletedDeal
Job Addedjob.addedJob
Job Updatedjob.updatedJob
Job Deletedjob.deletedJob

Request

Body

  • eventNamestring

    >= 1 characters (required)

  • targetUrlstring (URL)

    >= 1 characters (required)

Response

201

Body

  • idinteger

    Example: 7

  • event_namestring

    Example: candidate.deleted

  • target_urlstring

    Example: https://xyz.com

  • sourcestring

    Example: public

  • created_atstring

    Example: 2026-07-29T20:09:54.000Z

  • updated_atstring

    Example: 2026-07-29T20:09:54.000Z

401

Body

  • unauthorised
400

Body

  • Unprocessable Entity

Response Example

{
"id": 7,
"event_name": "candidate.deleted",
"target_url": "https://xyz.com",
"source": "public",
"created_at": "2026-07-29T20:09:54.000Z",
"updated_at": "2026-07-29T20:09:54.000Z"
}